@import url('https://fonts.cdnfonts.com/css/ica-rubrik-black');
@import url('https://fonts.cdnfonts.com/css/poppins');

:root {
    --size: min(100vw, 100vh);
    --sizeFolder: calc(var(--size) * 0.5);
    --sizeSlider3D: calc(var(--size) * 0.15);
    --sizeRadius: calc(var(--size) * 0.4);
    --perspective3D: calc(var(--size) * 10);
    --sizeSpinner: min(10rem, calc(var(--size) * 0.2));
}

::-webkit-scrollbar {
    width: 0vw;
}

* {
    font-family: 'JetBrains Mono', monospace;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #264DE3;
}

section {
    position: relative; /* becomes the origin for positioning */
    min-height: 100vh; /* fallback for old browsers */
    min-height: 100dvh;
    width: 100vw;
    display: flex;
    justify-content: center;
    align-items: center;
}

header {
    position: fixed;
    top: 0;
    left: 0;
    min-height: 5vh;
    width: 100%;
    border-bottom: 1px solid black;
    background: #264DE3;
    z-index: 1000;
    padding: 10px 0;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.4);
    display: flex;
    justify-content: space-between;
}

.logo-container {
    display: flex;
    align-items: center;
    text-decoration: none;
    color: inherit;
    padding-left: 10px;
}

.logo-container p {
    margin-left: 10px;
    font-size: 24px;
    font-weight: bold;
    color: white;
}

.logo {
    width: 50px;
    height: auto;
}

/* cards */

.animated-cards {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 5vw;
    min-height: 85vh;
    padding-top: 10vh;
    padding-bottom: 5vh;
}

.animated-card,
.animated-card-2,
.animated-card-3 {
    display: grid;
    place-items: center;
    position: relative;
    height: 500px;
    width: 350px;
    background: #000;
    border-radius: 10px;
    cursor: pointer;
}

.card {
    color: rgba(254, 254, 254, 0.1);
    font-size: 10em;
    z-index: 10;
}

.animated-card::before {
    position: absolute;
    content: '';
    height: 500px;
    width: 350px;
    background: tomato;
    border-radius: 15px;
    z-index: -1;
    transition: 0.3s;
    animation: animate 2s linear infinite;
}

.animated-card:hover::before {
    height: 512px;
    width: 362px;
}

@keyframes animate {
    50% {
        filter: hue-rotate(350deg);
    }
}

.animated-card-2 {
    overflow: hidden;
}

.animated-card-2::before {
    position: absolute;
    content: '';
    height: 180%;
    width: 50%;
    background: #fff;
    transform: rotate(45deg);
}

.animated-card-2:hover::before {
    animation: animate-2 2s linear infinite;
}

@keyframes animate-2 {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}

.animated-card-2::after {
    position: absolute;
    content: '';
    inset: 10px;
    background: #000;
    /* background: #222; */
    border-radius: 8px;
}

.animated-card-3 {
    overflow: hidden;
}

.animated-card-3::before {
    position: absolute;
    content: '';
    width: 50%;
    height: 180%;
    background: #ff0800;
    transform: rotate(45deg);
}

.animated-card-3:hover::before {
    animation: animate-3 2s linear infinite;
}

@keyframes animate-3 {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
        filter: hue-rotate(-360deg) saturate(1000%);
    }
}
.animated-card-3::after {
    position: absolute;
    content: '';
    inset: 10px;
    background: #000;
    border-radius: 8px;
}

/* kinepolis */

.kinepolis {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background-color: #2c2828;
}

.list {
    max-width: 80vw;
    display: inline-flex;
    gap: 1vw;
    transform-style: preserve-3d;
    transform: perspective(1000px);
}
.item {
    width: 7vw;
    height: auto;
}

.list .item {
    transition: .5s;
    filter: brightness(0.1);
}

.list .item:hover {
    filter: brightness(1);
    transform: translateZ(200px);
}

.list .item:hover + * {
    filter: brightness(0.6);
    transform: translateZ(150px) rotateY(40deg);
}

.list .item:hover + * + * {
    filter: brightness(0.4);
    transform: translateZ(70px) rotateY(20deg);
}

.list .item:hover + * + * + * {
    filter: brightness(0.2);
    transform: translateZ(30px) rotateY(10deg);
}

.list .item:has(+ *:hover) {
    filter: brightness(0.6);
    transform: translateZ(150px) rotateY(-40deg);
}

.list .item:has(+ * + *:hover) {
    filter: brightness(0.4);
    transform: translateZ(70px) rotateY(-20deg);
}

.list .item:has(+ * + * + *:hover) {
    filter: brightness(0.2);
    transform: translateZ(30px) rotateY(-10deg);
}

/* sliders */

.sliders {
    background-color: #e5e5e5;
}

.tesla {
    width: 90vw;
    max-width: 1000px;
}

.container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    width: 90vw;
    max-width: 1000px;
}

.slider .slider_img{
    width: 100%;
    height: var(--height);
}

.slider .slider_list {
    display: flex;
    width: 100%;
    min-width: calc(var(--width) * var(--quantity));
    position: relative;
}

.slider .slider_list .slider_item {
    width: var(--width);
    height: var(--height);
    position: absolute;
    left: 100%;
    animation: autoRun 10s linear infinite;
    transition: filter 0.5s;
    animation-delay: calc((10s / var(--quantity)) * (var(--position) - 1) - 10s)!important;
}

.slider .slider_list .slider_item img {
    width: 100%;
}

.slider {
    height: var(--height);
    overflow: hidden;
    mask-image: linear-gradient(
        to right,
        transparent,
        #000 10% 90%,
        transparent
    );
}

.slider .slider_list {
    display: flex;
    min-width: calc(var(--width) * var(--quantity));
    position: relative;
}

.slider .slider_list .slider_item {
    width: 100%;
    width: var(--width);
    height: var(--height);
    position: absolute;
    left: 100%;
    animation: autoRunSlider 10s linear infinite;
    transition: filter 0.5s;
    animation-delay: calc( (10s / var(--quantity)) * (var(--position) - 1) - 10s)!important;
}

@keyframes autoRunSlider {
    from {
        left: 100%;
    } to {
        left: calc(var(--width) * -1);
    }
}

.slider:hover .slider_item {
    animation-play-state: paused!important;
    filter: grayscale(1);
}
.slider .slider_item:hover {
    filter: grayscale(0);
}
.slider[reverse="true"] .slider_item {
    animation: reversePlay 10s linear infinite;
}
@keyframes reversePlay {
    from {
        left: calc(var(--width) * -1);
    } to {
        left: 100%;
    }
}

/* folder */

.folder_section {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #2e3759;
}

.folder {
  position: relative;
  top: calc(var(--sizeFolder) * 0.05);
  width: var(--sizeFolder);
  height: calc(var(--sizeFolder) * 0.8);
  background: #4786ff;
  border-radius: 0 calc(var(--sizeFolder) * 0.05) calc(var(--sizeFolder) * 0.05)
    calc(var(--sizeFolder) * 0.05);
}

.folder_top {
  position: absolute;
  top: -10%;
  width: 30%;
  height: 10%;
  background: #4786ff;
  border-radius: calc(var(--sizeFolder) * 0.05) calc(var(--sizeFolder) * 0.05) 0 0;
  border: calc(var(--sizeFolder) * 0.001) solid #4786ff;
}

.folder_front, .paper1, .paper2, .paper3 {
  position: absolute;
  transition: all 0.3s ease-in-out;
}

.paper1, .paper2, .paper3 {
  bottom: 7.5%;
  border-radius: calc(var(--sizeFolder) * 0.025);
}

.paper1 {
  width: 70%;
  height: 80%;
  left: 15%;
  background: #e6e6e6;
}

.paper2 {
  width: 80%;
  height: 70%;
  left: 10%;
  background: #f6f6f6;
}

.paper3 {
  width: 90%;
  height: 60%;
  left: 5%;
  background: #ffffff;
}

.folder_front {
  width: 100%;
  height: 100%;
  border-radius: calc(var(--sizeFolder) * 0.05);
  background: #70a1ff;
  transform-origin: bottom;
}

.folder:hover {
  transform: scale(1.1);
}

.folder:hover .folder_front[style*="--side: left"] {
  transform: skew(15deg) scaleY(0.6);
}

.folder:hover .folder_front[style*="--side: right"] {
  transform: skew(-15deg) scaleY(0.6);
}

/* slider 3D */

.slider3D_section {
    background-color: #D2D2D2;
    background-image:
    repeating-linear-gradient(
        to right, transparent 0 10vw,
        #25283b22 10vw calc(10vw + 1px)
    ),
    repeating-linear-gradient(
        to bottom, transparent 0 10vw,
        #25283b22 10vw calc(10vw + 1px)
    );
}

.slider3D_section::before {
    position: absolute;
    width: min(1400px, 90vw);
    top: 10%;
    left: 50%;
    height: 90%;
    transform: translateX(-50%);
    content: '';
    background-image: url(../public/img/slider3D/bg.png);
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: top center;
    pointer-events: none;
}

.banner {
    width: 100%;
    height: 100vh;
    text-align: center;
    overflow: hidden;
    position: relative;
}

.slider3D {
    position: absolute;
    width: var(--sizeSlider3D);
    height: 10%;
    top: 20%;
    left: calc(50% - var(--sizeSlider3D) / 2);
    transform: perspective(var(--perspective3D)) rotateX(-16deg) rotateY(0deg);
    transform-style: preserve-3d;
    animation: autoRunSlider3D 20s linear infinite;
    z-index: 2;
}

@keyframes autoRunSlider3D {
    from {
        transform: perspective(var(--perspective3D)) rotateX(-16deg) rotateY(0deg);
    } to {
        transform: perspective(var(--perspective3D)) rotateX(-16deg) rotateY(360deg);
    }
}

.slider3D_item {
    position: absolute;
    inset: 0 0 0 0;
    transform: 
        rotateY(calc( (var(--position) - 1) * (360 / var(--quantity)) * 1deg))
        translateZ(var(--sizeRadius));
}

.slider3D_img {
    width: 100%;
    height: auto;
    object-fit: cover;
}

.banner .content {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: max-content;
    padding-bottom: 10vh;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1;
    text-align: center;
}

.banner .content h1 {
    font-family: 'ICA Rubrik';
    font-size: calc(var(--size) * 0.2);
    line-height: calc(var(--size) * 0.02);
    color: #25283B;
    position: relative;
    bottom: 10vh;
}

.banner .content h1::after {
    position: absolute;
    inset: 0 0 0 0;
    content: attr(data-content);
    z-index: 2;
    -webkit-text-stroke: 2px #d2d2d2;
    color: transparent;
}

.banner .content .author {
    position: absolute;
    font-family: Poppins;
    text-align: right;
    max-width: 200px;
    color: #fff;
    text-shadow: 0 10px 20px #000;
    z-index: 2;
    max-width: unset;
    width: 100%;
    text-align: center;
}

.banner .content h2 {
    font-size: calc(var(--size) * 0.04);
}

.banner .content .model {
    background-image: url(../public/img/slider3D/model.png);
    width: 100%;
    height: 70vh;
    position: absolute;
    bottom: 0;
    left: 0;
    background-size: auto 130%;
    background-repeat: no-repeat;
    background-position: top center;
    z-index: 1;
}

/* spinners */

.spinners {
    display: flex;
    flex-wrap: wrap;
    gap: 2rem;
    animation: background-spinners 10s linear infinite;
}

@keyframes background-spinners {
    0% {
        background-color: red;
    }
    50% {
        background-color: blue;
    }
    100% {
        background-color: purple;
    }
}

.spinner {
    width: var(--sizeSpinner);
    height: var(--sizeSpinner);
    border-radius: var(--sizeSpinner);
    border: calc(var(--sizeSpinner) * 0.1) solid #fff;
    border-bottom-color: transparent !important;
    animation: spin 3s linear infinite;
}

@keyframes spin {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}

.spinner-2 {
    animation: spin-2 3s linear infinite;
}

@keyframes spin-2 {
    0% {
        transform: rotate(0deg);
        border-color: red;
    }
    24% {
        border-color: red;
    }
    25% {
        border-color: yellow;
    }
    49% {
        border-color: yellow;
    }
    50% {
        border-color: green;
    }
    100% {
        transform: rotate(360deg);
        border-color: green;
    }
}

.box-spinner-3 {
    height: calc(var(--sizeSpinner) * 3);
    width: calc(var(--sizeSpinner) * 3);
    align-items: center;
    justify-content: center;
    display: flex;
}

.spinner-3 {
    animation: spin-3 3s linear infinite;
}

@keyframes spin-3 {
    0% {
        transform: rotate(0deg);
    }
    10% {
        background-color: blue;
    }
    20% {
        width: calc(var(--sizeSpinner) * 2);
    }
    30% {
        border-radius: 0%;
    }
    40% {
        border-color: green;
    }
    50%{
        background-color: yellow;
    }
    60%{
        height: calc(var(--sizeSpinner) * 2);
    }
    100% {
        transform: rotate(360deg);
    }
}

/* Carousel */

.carousel_section {
    background-color: #2c2828;
    padding: min(5rem, 8%);
}

.carousel {
    overflow-x: scroll;
    margin : 3rem auto;
    display: flex;
    gap: 1rem;
    scroll-behavior: smooth;
    anchor-name: --carousel;
    scroll-snap-type: x mandatory;
    scroll-marker-group: after;
}

.carousel::scroll-marker-group {
    display: flex;
    justify-content: center;
    gap: .5rem;
}

.card::scroll-marker {
    content: '';
    height: 1rem;
    width: 1rem;
    background-color: #000;
    border-radius: 50%;
}

.card::scrol-marker:target-current {
    background-color: #ff0000;
}

.carousel::-webkit-scrollbar {
    display: none;
}

.carousel::scroll-button(right), .carousel::scroll-button(left) {
    content: '>';
    border: none;
    background-color: rgba(0, 0, 0, 0.5);
    font-family: Consolas, monospace;
    font-size: 3rem;
    color: #fff;
    height: 60px;
    width: 60px;
    border-radius: 50%;
    padding-bottom: .1rem;
    cursor: pointer;
    position: fixed;
    position-anchor: --carousel;
    position-area: right center;
    translate: -50%;
}

.carousel::scroll-button(left) {
    content: '<';
    position-area: left center;
    translate: 50%;
}

.carousel::scroll-button(right):disabled, .carousel::scroll-button(left):disabled {
    opacity: 0.5;
    cursor: not-allowed;
}

.carousel-card {
    scroll-snap-align: start;
    flex: 0 0 20rem;
    aspect-ratio: 5 / 3;
    background-color: #000;
    padding: 1rem;
    border-radius: 0.5rem;
    text-align: center;
    align-content: center;
    color: blue;
}

@media (max-width: 500px) {
    .carousel-card {
        flex: 0 0 100%;
    }
}

/* clip-path */

.clip-path_section {
    display: flex;
    flex-wrap: wrap;
    gap: 2rem;
}

.shape {
    height: calc(var(--size) * 0.2);
    aspect-ratio: 1 / 1;
    background-color: #000;
}

.circle {
    clip-path: circle();
}

.ellipse {
    clip-path: ellipse(40% 60% at 50% 50%);
}

.inset {
    clip-path: inset(20% round 15% 0);
}

.polygon {
    clip-path: polygon(50% 0%, 0% 100%, 100% 100%);
}

.path {
    height: 200px;
    aspect-ratio: 1 / 1;
    background-color: #000;
    clip-path: path('M 10,40 L 70,40 A 10,10 0,0,0 80,30 L 80,10 A 10,10 0,0,1 90,0 L 140,0 A 10,10 0,0,1 150,10 L 150,190 A 10,10 0,0,1 140,200 L 10,200 A 10,10 0,0,1 0,190 L 0,50 A 10,10 0,0,1 10,40 Z');
}

.path-test {
    clip-path: path('M50 0 C77.6142 0 100 22.3858 100 50 C100 77.6142 77.6142 100 50 100 C22.3858 100 0 77.6142 0 50 C0 22.3858 22.3858 0 50 0 Z M50 10 C30.5366 10 15 25.5366 15 45 C15 64.4634 30.5366 80 50 80 C69.4634 80 85 64.4634 85 45 C85 25.5366 69.4634 10 50 10 Z');
}

/* inputs */

.inputs_section {
    background-color: #2c2828;
}

/* responsive */

.responsive_section {
    width: 100%;
    height: 100vh; /* fallback for old browsers */
    height: 100dvh;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: min(5rem, 8%);
}

.responsive_section h2 {
    background-color: #fff;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: clamp(1.5rem, 5vw + 1rem, 5rem);
}